Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

0
Corrado Nestola
Il 28/03/22, 09:07

Grazie del supporto Gianmarco, purtroppo non ne vengo fuori. Ho errori sia con EDI sia con fatturapa.

 EDI continua a darmi l'errore "the seller must have a bank account" sia da vendite creazione fattura via POS sia via creazione fattura clienti. Ho configurato conti bancari si a per la Mycompany sia per il venditore (nel mio caso è l'admin essendo un sistema di test) sia per l'acquirente ma continua a darmi questo errore. Non so se ho capito bene questo "seller" a chi si riferisca. Letteralmente sarebbe il venditore, ma non capisco se il venditore è l'azienda o la persona venditrice. Ad ogni modo ho configurato i conti per entrambi, e come detto anche per l'acquirente.


Con fatturapa invece ho un errore di codice (che oltretutto, in qualità di informatico ma non svilupaptore, mi piacerebbe capire prima o poi come decifrare. es: sono errori a cascata? si comincia dal basso? come individuo almeno l'ambito di errore? )

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 684, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 360, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 348, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 913, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 532, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1394, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1386, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 395, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 368, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/point_of_sale/models/pos_order.py", line 561, in create_from_ui
    order_ids.append(self._process_order(order, draft, existing_order))
  File "/usr/lib/python3/dist-packages/odoo/addons/point_of_sale/models/pos_order.py", line 146, in _process_order
    pos_order._generate_pos_order_invoice()
  File "/usr/lib/python3/dist-packages/odoo/addons/point_of_sale/models/pos_order.py", line 517, in _generate_pos_order_invoice
    new_move = order._create_invoice(move_vals)
  File "/usr/lib/python3/dist-packages/odoo/addons/point_of_sale/models/pos_order.py", line 375, in _create_invoice
    new_move.message_post(body=message)
  File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 1832, in message_post
    record_name = record_name or self.display_name
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1021, in __get__
    self.compute_value(recs)
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1177, in compute_value
    records._compute_field_value(self)
  File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 410, in _compute_field_value
    return super()._compute_field_value(field)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 4070, in _compute_field_value
    getattr(self, field.compute)()
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 1728, in _compute_display_name
    names = dict(self.name_get())
  File "/usr/lib/python3/dist-packages/odoo/addons/account/models/account_move.py", line 2059, in name_get
    name = move._get_move_display_name(show_ref=True)
  File "/usr/lib/python3/dist-packages/odoo/addons/account/models/account_move.py", line 2277, in _get_move_display_name
    }[self.move_type]
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 640, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 316, in _handle_exception
    raise exception.with_traceback(None) from new_cause
KeyError: 'other'

Un ultima richiesta: come posso utilizzare un runboat per verificare che il problema che riscontro sia replicabile?
Grazie

La tua risposta

0
Avatar

Alex Comba

--Alex Comba--
1525
| 2 0 5
Torino, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 31/03/22, 06:47

Le istanze runboat di OCA/l10n-italy le puoi trovare a questo link: https://runboat.odoo-community.org/webui/builds.html?repo=oca/l10n-italy


La tua risposta


0
Corrado Nestola
Il 31/03/22, 06:03

Aggiornamento:

probabilmente sbagliavo la versione del git da cui importavo i pacchetti. Probabilmente installavo la versione per la 15.

Facendo più attenzione (e operando con più calma) mi sono assicurato delle versioni corrette ed ora pare che tutto funzioni.

Piccolo tip per chi dovesse leggere: per provare la fatturapa_out configurare TUTTI i campi-contatto sia del cliente che dell'azienda venditrice perchè quando mancano questi campi il modulo restituisce un errore non intellegibile da chi non avesse skill minimi di programmazione. Compilare sempre cap, via, indirizzo,città. partita iva etc. etc.

Io ci ho perso un bel po di tempo perchè l'errore non è molto parlante (nelo mio caso  la funzione qweb diceva di aspettarsi una string e che il valore passato invece non lo fosse, ma non diceva che il valore fosse mancante -mancava la sede-!)


Grazie comunque Giammarco per il supporto


La tua risposta


0
Gianmarco Conte
Il 25/03/22, 15:16

Ciao, 

Ti consiglio di disinstallare il modulo edi e tutte le relative dipendenze (quindi fatturazione elettronica di odoo).

Fammi sapere se così risolvi.


La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

73 follower

Statistiche

Richiesta del: 22/03/22, 08:03
Vista: 205 volte
Ultimo aggiornamento: 31/03/22, 06:03